org.apache.poi.common.usermodel.fonts

## Enum FontHeader.PanoseStroke

- java.lang.Object
- - java.lang.Enum<FontHeader.PanoseStroke>
  - - org.apache.poi.common.usermodel.fonts.FontHeader.PanoseStroke

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontHeader.PanoseStroke>
  Enclosing class:
    FontHeader

      public static enum FontHeader.PanoseStroke
      extends java.lang.Enum<FontHeader.PanoseStroke>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `GRADUAL_DIAG`
    `GRADUAL_HORZ`
    `GRADUAL_TRAN`
    `GRADUAL_VERT`
    `INSTANT_VERT`
    `NO_FIT`
    `RAPID_HORZ`
    `RAPID_VERT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontHeader.PanoseStroke` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontHeader.PanoseStroke[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FontHeader.PanoseStroke ANY

    - #### NO_FIT

          public static final FontHeader.PanoseStroke NO_FIT

    - #### GRADUAL_DIAG

          public static final FontHeader.PanoseStroke GRADUAL_DIAG

    - #### GRADUAL_TRAN

          public static final FontHeader.PanoseStroke GRADUAL_TRAN

    - #### GRADUAL_VERT

          public static final FontHeader.PanoseStroke GRADUAL_VERT

    - #### GRADUAL_HORZ

          public static final FontHeader.PanoseStroke GRADUAL_HORZ

    - #### RAPID_VERT

          public static final FontHeader.PanoseStroke RAPID_VERT

    - #### RAPID_HORZ

          public static final FontHeader.PanoseStroke RAPID_HORZ

    - #### INSTANT_VERT

          public static final FontHeader.PanoseStroke INSTANT_VERT

  - ### Method Detail

    - #### values

          public static FontHeader.PanoseStroke[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontHeader.PanoseStroke c : FontHeader.PanoseStroke.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontHeader.PanoseStroke valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.